---
title: "GitLab on Google Compute Engine and CentOS 7"
description: "Today we would like to present new deployment options for GitLab. Google just announced click-to-deploy support for GitLab on Google Compute Engine."
canonical_path: "/blog/2014/08/27/gitlab-on-google-compute-engine-and-centos-7/"
date: 2014-08-27 18:06:55 +0200
author: Sytse Sijbrandij
categories: company
---

Today we would like to present new deployment options for GitLab.

Google [just announced](http://googlecloudplatform.blogspot.nl/2014/08/click-to-deploy-gitlab-community-server-on-google-compute-engine.html) click-to-deploy support for [GitLab on Google Compute Engine](https://developers.google.com/cloud/gitlab/).

Today we also added a for CentOS 7 option to our [package installation](/install/).

Recently we also added Cloud 66, Pkgr.io and twoub options to our [list of installation methods](/install/).
